Alpha Video Training
Results 1 to 3 of 3

Thread: QODBC Requires API version 1.1 or 2.0 to communicate with QuickBooks

  1. #1
    Member
    Real Name
    Grant Walker
    Join Date
    Jan 2011
    Posts
    0

    Default QODBC Requires API version 1.1 or 2.0 to communicate with QuickBooks

    I'm running QuickBooks 2010 Enterprise with QReportBuilder version 2011 with QODBC version 11.00.00.276. I've tried to connect to my data on Windows XP, Windows 2003 server and Windows Vista. Every time I get the same error:

    "QODBC Requires API version 1.1 or 2.0 to communicate with QuickBooks"

    Everything I've been able to find regarding this error mentions international or multi-currency versions of QuickBooks. We are running the US version of QuickBooks 2010 Enterprise.

    I tried reinstalling the software, I've even tried reinstalling QuickBooks as well as installing QuickBooks on a fresh copy of Windows that has never had QB installed before. I get the same error on all machines.

    Any help would be greatly appreciated.

  2. #2
    "Certified" Alphaholic
    Real Name
    Mike Christensen
    Join Date
    Nov 2005
    Location
    Michigan U.P.
    Posts
    5,937

    Default Re: QODBC Requires API version 1.1 or 2.0 to communicate with QuickBooks

    Hi Grant,
    I believe that QODBC version may be the issue.....go to QODBC.com and download the latest driver and then test. You could also go to your Start Menu-->QODBC Driver for use with QuickBooks-->QODBC Setup Screen-->About tab-->click the Check Website for Updates link shown.

    Let us know how it goes.
    Mike
    __________________________________________
    It is only when we forget all our learning that we begin to know.
    It's not what you look at that matters, it's what you see.
    Henry David Thoreau
    __________________________________________




  3. #3
    Moderator
    Real Name
    Alan Buchholz
    Join Date
    Oct 2000
    Location
    Delavan, Wisconsin
    Posts
    9,561

    Default Re: QODBC Requires API version 1.1 or 2.0 to communicate with QuickBooks

    Grant

    Replace the QODBC driver by installing from this.

    http://bookwood.com/qodbca277.exe

    Build 277 corrects the problem.
    Al Buchholz
    Bookwood Systems, LTD
    Weekly QReportBuilder Webinars Thursday 1 pm CST

    Occam's Razor - KISS
    Normalize till it hurts - De-normalize till it works.
    Advice offered and questions asked in the spirit of learning how to fish is better than someone giving you a fish.
    When we triage a problem it is much easier to read sample systems than to read a mind.

Similar Threads

  1. Quickbooks qodbc performance
    By wmarquardt in forum Alpha Five Version 9 - Desktop Applications
    Replies: 18
    Last Post: 02-20-2009, 11:30 AM
  2. Invoices into QuickBooks via QODBC
    By TTI in forum Alpha Five Version 8
    Replies: 3
    Last Post: 04-11-2007, 10:48 PM
  3. A5 - qodbc - Quickbooks
    By David in forum Alpha Five Version 7
    Replies: 6
    Last Post: 05-14-2006, 11:57 AM
  4. Use QODBC (or other) to send data to Quickbooks?
    By Bill Warner in forum Alpha Five Version 6
    Replies: 3
    Last Post: 12-10-2005, 11:27 PM
  5. QODBC Quickbooks query
    By pstaver in forum Alpha Five Version 6
    Replies: 3
    Last Post: 03-30-2005, 12:10 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •